#ifndef TOUCH_H_
#define TOUCH_H_

#include <stdint.h>
#include <stdbool.h>
#include <stdlib.h>
#include "iodefine.h"


typedef enum
{
	start_condition,
	stop_condition
} start_stop_condition_t;


typedef enum
{
	read_frame,
	write_frame
} frame_type_t;


void delay_ms(uint16_t ms);
void delay_us(uint32_t us);
void generate_start_stop_condition(start_stop_condition_t start_stop_condition);
bool write_device_address(uint8_t device_address, frame_type_t frame_type);
bool write_device_data(uint8_t device_address, uint8_t *data, uint16_t length);
bool read_device_data(uint8_t device_address, uint8_t *data, uint16_t length);
void touch_init(void);
int touch_get_point(int* x, int* y);


#endif /* TOUCH_H_ */
